> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhub.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept Organization Consent

> Accept terms/privacy/data-processing consent for a B2B organization

export function RequiredRunnerHeaders() {
  return <>
      <ParamField header="X-Forwarded-For" type="string" required>
        Client source IP (runner default: `127.0.0.1`)
      </ParamField>
      <ParamField header="X-Tenant-ID" type="string" required>
        Tenant identifier
      </ParamField>
      <ParamField header="X-Forwarded-From" type="string" required>
        Client source identifier (runner default: `integration-client`)
      </ParamField>
      <ParamField header="platform" type="string" required>
        Client platform (runner default: `web`)
      </ParamField>
      <ParamField header="deviceId" type="string" required>
        Device identifier (runner default: `integration-device`)
      </ParamField>
      <ParamField header="Authorization" type="string" required>
        Bearer token
      </ParamField>
    </>;
}

# Accept Organization Consent

Accepts mandatory organization consent types required for activation.

## Endpoint

`POST /api/v2.1/customer/organization/{organizationId}/consents/{consentType}`

## Required Headers

<RequiredRunnerHeaders />

## Path Parameters

<ParamField path="organizationId" type="string" required>Organization UUID</ParamField>
<ParamField path="consentType" type="string" required>`terms`, `privacy`, `data-processing`</ParamField>

## Request Body

```json theme={null}
{
  "accepted": true,
  "version": "1.0"
}
```

## Success Response

```json 200 theme={null}
{
  "code": 200,
  "message": "Success"
}
```


## OpenAPI

````yaml fincheck.yaml POST /api/v2.1/customer/organization/{organizationId}/consents/{consentType}
openapi: 3.0.3
info:
  title: Fincheck Endpoint Set
  version: 1.1.0
  description: |
    Focused API spec for Customer APIs and Verification & Compliance endpoints,
    aligned to business-bff B2C/B2B runners and dump payloads.
servers:
  - url: https://sandbox.finhub.cloud
security: []
paths:
  /api/v2.1/customer/organization/{organizationId}/consents/{consentType}:
    post:
      operationId: acceptOrganizationConsent
      parameters:
        - $ref: '#/components/parameters/XForwardedFor'
        - $ref: '#/components/parameters/XTenantId'
        - $ref: '#/components/parameters/XForwardedFrom'
        - $ref: '#/components/parameters/Platform'
        - $ref: '#/components/parameters/DeviceId'
        - $ref: '#/components/parameters/Authorization'
        - in: path
          name: organizationId
          required: true
          schema:
            type: string
        - in: path
          name: consentType
          required: true
          schema:
            type: string
            enum:
              - terms
              - privacy
              - data-processing
          example: terms
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConsentAccept'
      responses:
        '200':
          description: Consent accepted
components:
  parameters:
    XForwardedFor:
      in: header
      name: X-Forwarded-For
      required: true
      schema:
        type: string
      example: 127.0.0.1
    XTenantId:
      in: header
      name: X-Tenant-ID
      required: true
      schema:
        type: string
      example: 97e7ff29-15f3-49ef-9681-3bbfcce4f6cd
    XForwardedFrom:
      in: header
      name: X-Forwarded-From
      required: true
      schema:
        type: string
      example: integration-client
    Platform:
      in: header
      name: platform
      required: true
      schema:
        type: string
      example: web
    DeviceId:
      in: header
      name: deviceId
      required: true
      schema:
        type: string
      example: integration-device
    Authorization:
      in: header
      name: Authorization
      required: true
      schema:
        type: string
      example: Bearer YOUR_ACCESS_TOKEN
  schemas:
    ConsentAccept:
      type: object
      required:
        - accepted
        - version
      properties:
        accepted:
          type: boolean
          example: true
        version:
          type: string
          example: '1.0'
      example:
        accepted: true
        version: '1.0'

````